<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$academic_view = new academic_view();

// Run the page
$academic_view->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$academic_view->Page_Render();
?>
<?php include_once "header.php"; ?>
<?php if (!$academic_view->isExport()) { ?>
<script>
var facademicview, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "view";
	facademicview = currentForm = new ew.Form("facademicview", "view");
	loadjs.done("facademicview");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php } ?>
<?php if (!$academic_view->isExport()) { ?>
<div class="btn-toolbar ew-toolbar">
<?php $academic_view->ExportOptions->render("body") ?>
<?php $academic_view->OtherOptions->render("body") ?>
<div class="clearfix"></div>
</div>
<?php } ?>
<?php $academic_view->showPageHeader(); ?>
<?php
$academic_view->showMessage();
?>
<form name="facademicview" id="facademicview" class="form-inline ew-form ew-view-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="academic">
<input type="hidden" name="modal" value="<?php echo (int)$academic_view->IsModal ?>">
<table class="table table-striped table-sm ew-view-table">
<?php if ($academic_view->id->Visible) { // id ?>
	<tr id="r_id">
		<td class="<?php echo $academic_view->TableLeftColumnClass ?>"><span id="elh_academic_id"><?php echo $academic_view->id->caption() ?></span></td>
		<td data-name="id" <?php echo $academic_view->id->cellAttributes() ?>>
<span id="el_academic_id">
<span<?php echo $academic_view->id->viewAttributes() ?>><?php echo $academic_view->id->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($academic_view->Academic->Visible) { // Academic ?>
	<tr id="r_Academic">
		<td class="<?php echo $academic_view->TableLeftColumnClass ?>"><span id="elh_academic_Academic"><?php echo $academic_view->Academic->caption() ?></span></td>
		<td data-name="Academic" <?php echo $academic_view->Academic->cellAttributes() ?>>
<span id="el_academic_Academic">
<span<?php echo $academic_view->Academic->viewAttributes() ?>><?php echo $academic_view->Academic->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($academic_view->Status->Visible) { // Status ?>
	<tr id="r_Status">
		<td class="<?php echo $academic_view->TableLeftColumnClass ?>"><span id="elh_academic_Status"><?php echo $academic_view->Status->caption() ?></span></td>
		<td data-name="Status" <?php echo $academic_view->Status->cellAttributes() ?>>
<span id="el_academic_Status">
<span<?php echo $academic_view->Status->viewAttributes() ?>><?php echo $academic_view->Status->getViewValue() ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<?php
$academic_view->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<?php if (!$academic_view->isExport()) { ?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php } ?>
<?php include_once "footer.php"; ?>
<?php
$academic_view->terminate();
?>